Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Class FileResolution

    java.lang.Object
      org.deegree.ogcwebservices.wcs.configuration.AbstractResolution
          org.deegree.ogcwebservices.wcs.configuration.FileResolution

All Implemented Interfaces:
  Comparable, Resolution

    public class FileResolution

extends AbstractResolution

models a `Resolution` that describes the access to the coverages using named files (with a defined size if it's a grid coverage).

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`FileResolution(double minScale, double maxScale, Range[] range, File[] files)`

Method Summary
`void` | `addFile(File file)` adds a files descrition to the `Resolution`
`File[]` | `getFiles()` returns all file description contained in the `Resolution`
`void` | `removeFile(File file)` removes a files descrition from the `Resolution`
`void` | `setFiles(File[] files)` sets all file description contained in the `Resolution`

Methods inherited from class org.deegree.ogcwebservices.wcs.configuration.AbstractResolution
`addRange, compareTo, getMaxScale, getMinScale, getRanges, removeRange, setMaxScale, setMinScale, setRange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileResolution

    public FileResolution(double minScale,
                          double maxScale,
                          Range[] range,
                          File[] files)
                   throws IllegalArgumentException

Parameters:
  `minScale` -
  `maxScale` -
  `range` -
Throws:
  `IllegalArgumentException`

Method Detail

### setFiles

    public void setFiles(File[] files)

  sets all file description contained in the `Resolution`

  Parameters:
    `files` -

### getFiles

    public File[] getFiles()

  returns all file description contained in the `Resolution`

  Returns:
    all file description contained in the `Resolution`

### addFile

    public void addFile(File file)

  adds a files descrition to the `Resolution`

  Parameters:
    `file` -

### removeFile

    public void removeFile(File file)

  removes a files descrition from the `Resolution`

  Parameters:
    `file` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org